import axios, { AxiosInstance, AxiosError, AxiosResponse } from "axios";
let request = axios.create({
  withCredentials: true,
  headers: {
    "Content-Type": "application/json;charset=utf-8"
  }
});
request.interceptors.response.use(
  (response: AxiosResponse) => {
    return response && response.data;
  },
  (error: AxiosError) => {
    return Promise.reject(error);
  }
);
export function useRequest(req: AxiosInstance) {
  request = req;
}

export default request;
